# Class ResourceManager

java.lang.Object
org.eclipse.equinox.http.registry.internal.ResourceManager

All Implemented Interfaces:
  `ExtensionPointTracker.Listener`

public class ResourceManager extends Object implements ExtensionPointTracker.Listener

## Constructor Summary

Constructors
Constructor
Description
`ResourceManager(HttpRegistryManager httpRegistryManager, ServiceReference<?> reference, IExtensionRegistry registry)`

## Method Summary

Modifier and Type
Method
Description
`void`
`added(IExtension extension)`
`void`
`removed(IExtension extension)`
`void`
`start()`
`void`
`stop()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceManager

public ResourceManager(HttpRegistryManager httpRegistryManager, ServiceReference<?> reference, IExtensionRegistry registry)

## Method Details

### start

public void start()

### stop

public void stop()

### added

public void added(IExtension extension)

Specified by:
  `added` in interface `ExtensionPointTracker.Listener`

### removed

public void removed(IExtension extension)

Specified by:
  `removed` in interface `ExtensionPointTracker.Listener`